Bug 71676 - EDITING: Find and replace: replace button does not step to the next search result
Summary: EDITING: Find and replace: replace button does not step to the next search re...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2013-11-16 15:04 UTC by Zoltán Hegedüs
Modified: 2019-12-03 14:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltán Hegedüs 2013-11-16 15:04:30 UTC
In the previous versions, at the Find and Replace window, if I click to the Replace button, Writer replaced the text and jumped to the next search result. At now, the jumping is missing, so if I want to change a lot of occurrence, I must alternate between buttons Find and Replace.

Operating System: All
Version: 4.0.6.2 release
Comment 1 Cor Nouws 2013-11-25 21:08:55 UTC
Hi Zoltán,

thanks for the issue. I see that it works fine for me both in 4.0.6.2 and 4.1.3.2 on Ubunutu..
In writer anyway.
Can you pls check again?

regards,
Cor
Comment 2 Zoltán Hegedüs 2013-11-25 22:22:59 UTC
(In reply to comment #1)

I checked a lot of times, 4.0.6.2 release.
This error maybe not happen in Linux.
I am using Windows Xp Home SP3, so I modified the hardware from all to Windows.
Comment 3 QA Administrators 2014-06-01 21:30:06 UTC Comment hidden (obsolete)
Comment 4 kinkeifer 2014-06-06 15:55:18 UTC
I can trigger this bug for localc (4.2.4; wheezy-backports 1:4.2.4-3~bpo70+1):

1) Open a new spreadsheet.

2) Type 1 in A1 and again in A2

3) Select A1

4) Find&Replace: replace 1 by 21. Each time Replace is clicked a 2 is added before the 1 (i.e., 1->21->221->2221 etc.). The search does not advance without an explicit click on Find in between.

Note: Excel2013 advances before the next replace as expected (in case there is a need for a precedent). Gnumeric does not advance (with only A1 select) without an explicit Find in between but it doesn't pretend to; you have to explicitly select the ranges you wish to change.
Comment 5 immanuelg 2014-07-27 16:34:38 UTC
(In reply to comment #4)
> I can trigger this bug for localc (4.2.4; wheezy-backports
> 1:4.2.4-3~bpo70+1):
> 
> 1) Open a new spreadsheet.
> 
> 2) Type 1 in A1 and again in A2
> 
> 3) Select A1
> 
> 4) Find&Replace: replace 1 by 21. Each time Replace is clicked a 2 is added
> before the 1 (i.e., 1->21->221->2221 etc.). The search does not advance
> without an explicit click on Find in between.
> 

TESTING
Linux Mint 17
4.3.0.4

Reproduced by following the steps above.
The "1" in A1 is replaced over and over again because "21" has a 1.

IF the replace search replaces the "1" by "12", it behaves the same way, the "12" has a 1.

IF the replace search replaces the "1" by "22", it behaves normally:
It replaces the 1 in A1 and then jumps to A2, and then it no longer has anything else to replace.

I also tried it with 2 in A1 and the 2 in A2
Then the find and replace search for 2 to replace with 21. And the bug is reproduced again.

Conclusion:
Any number that is replaced by another number that includes the first number will create this bug

1 -> 12
1 -> 21
1 -> 17
2 -> 21
3 -> 36
etc
Comment 6 ign_christian 2014-07-27 17:01:11 UTC
I can confirm problem in comment 4 since LO 3.3.0.4, and also with AOO 4.1.0.

But this bug originally reported against Writer, how could this turns into Calc?

@Zoltán, do you still have that problem within Writer in latest stable release?
Comment 7 Cor Nouws 2015-05-04 13:50:01 UTC
[
> @Zoltán, do you still have that problem within Writer in latest stable
> release?

I guess not ;)  ]

Apart from that: the behavior in Calc is like this from OOo times.

Luckily there are shot cuts on Next / Replace buttons.
Comment 8 QA Administrators 2016-09-20 09:37:12 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:13:13 UTC
Dear Zoltán Hegedüs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug